ubuntu-location-service: com::ubuntu::location::ProviderEnumerator Class Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Member Functions | Protected Member Functions | List of all members
com::ubuntu::location::ProviderEnumerator Class Referenceabstract

`#include <provider_enumerator.h>`

Collaboration diagram for com::ubuntu::location::ProviderEnumerator:

## Public Member Functions
| ProviderEnumerator (const ProviderEnumerator &)=delete
virtual | ~ProviderEnumerator ()=default
ProviderEnumerator & | operator= (const ProviderEnumerator &)=delete
bool | operator== (const ProviderEnumerator &) const =delete
virtual void | for_each_provider (const std::function< void(const std::shared_ptr< Provider > &)> &) const =0

## Protected Member Functions
| ProviderEnumerator ()=default

## Detailed Description

Definition at line 31 of file provider_enumerator.h.

## Constructor & Destructor Documentation

## ◆ ProviderEnumerator() [1/2]

com::ubuntu::location::ProviderEnumerator::ProviderEnumerator | ( | const ProviderEnumerator & |  | ) |
| delete

## ◆ ~ProviderEnumerator()

virtual com::ubuntu::location::ProviderEnumerator::~ProviderEnumerator | ( |  | ) |
| virtualdefault

## ◆ ProviderEnumerator() [2/2]

com::ubuntu::location::ProviderEnumerator::ProviderEnumerator | ( |  | ) |
| protecteddefault

## Member Function Documentation

## ◆ for_each_provider()

virtual void com::ubuntu::location::ProviderEnumerator::for_each_provider | ( | const std::function< void(const std::shared_ptr< Provider > &)> & |  | ) | const
| pure virtual

## ◆ operator=()

ProviderEnumerator& com::ubuntu::location::ProviderEnumerator::operator= | ( | const ProviderEnumerator & |  | ) |
| delete

## ◆ operator==()

bool com::ubuntu::location::ProviderEnumerator::operator== | ( | const ProviderEnumerator & |  | ) | const
| delete

The documentation for this class was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/provider_enumerator.h